#modal_reportes .modal-dialog{
  position: fixed;
  right: 0;
  min-width: 750px;
  margin: 0px;
  }
  
  #modal_reportes .modal-content{
  height: 100vh;
  }
  
  #modal_reportes .peModal{
    padding-right: 1.5rem ;
  }
  #modal_reportes .peIpresionModalReporte{
    padding-right: 0.5rem ;
  }
  
  .NumWhatsappContent{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));  
    width: 100%;
    gap: 5px;
    }
    
    .btnGenerarGuias{
    font-size: 13px; background: #fff; border: 1px solid #FF4E00; color: #FF4E00; border-radius: .25rem; padding: 5px;
    }
    
    #grid-pdf-modal .iti{
    display: block !important;
    }
    
    #grid-pdf-modal .accordion1::-webkit-scrollbar {
        width: 2.5px;
    }
    
    #modal_reportes.modal:before{
    display: block;
    }
    .alt-icon-comprobantes{
    cursor: pointer;
    }
    
    #grid-pdf-modal .btn-close{
    font-size: 13pt;
    filter: invert(57%) sepia(98%) saturate(603%) hue-rotate(359deg) brightness(102%) contrast(102%);
    }
    #grid-pdf-modal .framePdfModal #div_modal_reporte_pdf{
    border-radius: 10px;
    }
    
    #grid-pdf-modal .cerrar-modal-reporte {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        padding: 8px 20px;
        cursor: pointer;
        border: 1px solid #FFA600;
        border-radius: .25rem;
        background: #ff9c00;
        color: white;
        font-size: 13px;
    }
    
    #grid-pdf-modal .comprobantes {
        opacity: initial;
        fill-opacity: inherit;
        background: #e6e6e64f;
        border: 1px solid #cccccc65;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    }
    
    #grid-pdf-modal .rounded {
        border-radius: .25rem;
    }
    #grid-pdf-modal .comprobantes {
        opacity: initial;
        fill-opacity: inherit;
        background: #e6e6e64f;
        border: 1px solid #cccccc65;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    }
    #grid-pdf-modal .text_comprobantes {
        color: black;
    }
    
    #grid-pdf-modal .comprobantes{
      opacity: initial;
      fill-opacity: inherit;
      background: #e6e6e64f ;
      border: 1px solid #cccccc65;
      box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    }
    
    #grid-pdf-modal .comprobantes.active {
      background: white;
      border: 2px solid orange; /* Borde naranja cuando estÃ¡ activo */
    }
     
    
    #grid-pdf-modal .accordion1{
      margin-bottom: 10px;
      max-height: 300px;
      overflow-y: auto;
    }
    #grid-pdf-modal .container_acordion{
      padding: 10px;
    }
    
    #grid-pdf-modal .btn-custom {
      display: flex;
      align-items: center;
      justify-content: start;
      width: auto;
      border: 1px solid #ccc;
      background-color: white;
      box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
      border-radius: 10px;
      padding: 10px;
      text-decoration: none;
    }
    
    #grid-pdf-modal .btn-custom img {
      width: 25px;
      height: auto;
      margin-right: 10px;
    }
    
    #grid-pdf-modal .btn-custom span {
      color: #6c757d;
      font-weight: bold;
    }
    
    #grid-pdf-modal .btn-custom:hover {
      background-color: #f8f9fa;
      box-shadow: 0 6px 8px rgba(0, 0, 0, 0.15);
    }
    
    #grid-pdf-modal .btn-custom:active {
      box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.2);
    }
    
    #grid-pdf-modal .btnVistaPreviaJsEnviar
    {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      border-radius: .25rem;
      background-color: #FFFFFF;
      color: #FFA600;
      border: 1px solid #FFA600;
      padding: 8px 16px;
      cursor: pointer;
    }
    #grid-pdf-modal .btnWhatReAgregar {
      display: inline-flex;
      align-items: center;
      justify-content: center;
      border-radius: .25rem;
      background-color: #FFFFFF;
      color: #FFA600;
      border: 1px solid #FFA600;
      padding: 8px 16px;
      cursor: pointer;
    }
    
      #grid-pdf-modal .btn_ventas_regresar {
      display: inline-flex;
      align-items: center;     
      justify-content: center; 
      border-radius: .25rem;
      background-color: #FFFFFF;
      color: #FFA600;
      border: 1px solid #FFA600;
      padding: 8px 16px;
      cursor: pointer;
      }
    
      #grid-pdf-modal .btn_ventas_regresar:hover {
        background: orange;
        color: white;
      }
      #grid-pdf-modal .btnWhatReAgregar:hover, #grid-pdf-modal .btnVistaPreviaJsEnviar:hover {
        background: orange;
        color: white;
    
      }
    
    
      #grid-pdf-modal .btn-close {
        width: 0 !important;
    }
    #grid-pdf-modal span.badge{
      margin-right: 10px;
      display: inline-flex;
        align-items: center;
        justify-content: center;
        background-color: #ccc;
        color: black;
        padding: 0.5rem 1rem;
        border-radius: 20px;
        font-size: 14px;
     
    }
     
     
    #grid-pdf-modal .etiquetas{
      max-width: 400px;
      flex-direction: column;
    }
    
    
    #grid-pdf-modal .mt-2.etiquetas {
      min-width: 300px;
    }
    
    
    #grid-pdf-modal .fposProdCad_btn_footer {
      gap: 20px;
      display: flex;
      justify-content: center; /* Centra horizontalmente */
      align-items: center; /* Alinea verticalmente */
      width: 100%; /* Asegura que ocupe todo el ancho disponible */
      padding: 10px; /* Espaciado opcional */
    }
    
    #grid-pdf-modal .fposProdCad_btn_footer_Agregar {
      
      display: inline-flex;
      align-items: center;     /* Centra verticalmente el contenido */
      justify-content: center; /* Centra horizontalmente el contenido */
      padding: 8px 16px;
      cursor: pointer;
      border: 1px solid #FFA600;
      border-radius: .25rem;}
    
      #grid-pdf-modal .fposProdCad_btn_footer_Regresar {
      
        display: inline-flex;
        align-items: center;     /* Centra verticalmente el contenido */
        justify-content: center; /* Centra horizontalmente el contenido */
        border-radius: .25rem;
      background-color: #FFFFFF;
      color: #FFA600;
      border: 1px solid #FFA600;
      padding: 8px 16px;
      cursor: pointer;
      }
      #grid-pdf-modal .fposProdCad_btn_footer_Regresar:hover {
        background: orange;
        color: white;
    
      }
      #grid-pdf-modal .fposProdCad_btn_footer_Agregar:hover {
        background: orange;
        color: white;
    
      }
      
     
    
    #grid-pdf-modal .fposProdCad_container {
     
      background: white;
      border-radius: 10px;
      width: 100%;
      overflow: hidden;
    }
    
    
    

    
    #grid-pdf-modal .fposProdCad_modal-dialog {
            width: max-content !important;
          }
    
     
     
    
          #grid-pdf-modal .container-checkbox {
            font-weight: bold;
          }
    
    
          /* Estilo del fcRegistro_CA_botones empresa/persona*/
          #grid-pdf-modal .fposProdCad_contect {
            display: flex;
            justify-content: space-between;
    
    
          }
    
          #grid-pdf-modal .fposProdCad .btn button {
    
            border: 2px solid orange;
            color: orange;
            background-color: transparent;
            padding: 20px 20px;
            font-size: 16px;
            cursor: pointer;
            transition: all 0.3s ease;
            border-radius: .25rem;
    
          }
         
    
          #grid-pdf-modal .container_btn{
            display: flex;
            justify-content: center;
            gap: 20px;
          }
    
          #grid-pdf-modal .accordion-button{
            color: black !important;
            background: white !important;
          }
    
          #grid-pdf-modal .alt-icon-comprobantes{
            width: 70px; 
            height: 70px;
          }

              /* Responsive adjustments */
    @media (max-width: 992px) {
      #grid-pdf-modal .fposProdCad_container {
      display: block !important;
    }
  }

      /* Responsive adjustments */
      @media (max-width: 750px) {
        #modal_reportes .modal-dialog{
          width: 100%;
          min-width: 350px;
          
        }
        #modal_reportes .peModal{
          padding-right: 0.5rem ;
        }
        #modal_reportes #btn_new_venta{
          padding-left: 5px;
          padding-right: 5px;
        }
        #modal_reportes .iconReporteModalVista{
        display: none;
        }
        #modal_reportes #imp_html{
          max-width: 130px;
        }

        #modal_reportes .peIpresionModalReporte{
          padding-right: 0.3rem ;
        }

        
    }


    